## org.eclipse.datatools.modelbase.sql.query
Interface ResultTableAllColumns

All Superinterfaces:
  QueryResultSpecification, SQLObject, SQLQueryObject

All Known Implementing Classes:
  ResultTableAllColumnsImpl

public interface ResultTableAllColumns
extends QueryResultSpecification

A representation of the model object 'SQL Result Column All'.

The following features are supported:

- `Table Expr`

See Also:
  `SQLQueryModelPackage.getResultTableAllColumns()`

Method Summary
`TableExpression` `getTableExpr()` Returns the value of the 'Table Expr' reference.
`void` `setTableExpr(TableExpression value)` Sets the value of the '`Table Expr`' reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.QueryResultSpecification
`getQuerySelect, setQuerySelect`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getTableExpr

    public TableExpression getTableExpr()

  Returns the value of the 'Table Expr' reference. It is bidirectional and its opposite is '`Result Table All Columns`'.

  If the meaning of the 'Table Expr' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Table Expr' reference.
  See Also:
    `setTableExpr(TableExpression)`, `SQLQueryModelPackage.getResultTableAllColumns_TableExpr()`, `TableExpression.getResultTableAllColumns()`

### setTableExpr

    public void setTableExpr(TableExpression value)

  Sets the value of the '`Table Expr`' reference.

  Parameters:
    `value` - the new value of the 'Table Expr' reference.
  See Also:
    `getTableExpr()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.